public static interface VertxEndpointBuilderFactory.VertxBuilders
| Modifier and Type | Method and Description |
|---|---|
default VertxEndpointBuilderFactory.VertxEndpointBuilder |
vertx(String path)
Vert.x (camel-vertx)
Send and receive messages to/from Vert.x Event Bus.
|
default VertxEndpointBuilderFactory.VertxEndpointBuilder |
vertx(String componentName,
String path)
Vert.x (camel-vertx)
Send and receive messages to/from Vert.x Event Bus.
|
default VertxEndpointBuilderFactory.VertxEndpointBuilder vertx(String path)
vertx:address
Path parameter: address (required)
Sets the event bus address used to communicatepath - addressdefault VertxEndpointBuilderFactory.VertxEndpointBuilder vertx(String componentName, String path)
vertx:address
Path parameter: address (required)
Sets the event bus address used to communicatecomponentName - to use a custom component name for the endpoint
instead of the default namepath - addressApache Camel